Scott Johnson


CNN's Flash Player error message CNN's Flash support isn't quite future proof. Actually, in light of the current Flash 10 Beta, it's not present proof. I'm running the new Flash player because Flash 9 won't play videos in Firefox 3 for me. Flash 10 Beta restores my ability to pull down as much video off of the intertubes as I desire, except for the video on The error message says "8 or higher", so you would think that 10 would work, right? Please, CNN, let me watch your videos.